<template>
  <NoAuthLayout>
    <RecoverPassFormNewSet v-if="confirm" />
    <RecoverPassFormNewRequest v-else />
  </NoAuthLayout>
</template>


<script>
import NoAuthLayout from "@/layouts/NoAuthLayout";
import RecoverPassFormNewRequest from "@/components/RecoverPassFormNewRequest";
import RecoverPassFormNewSet from "@/components/RecoverPassFormNewSet";

export default {
  name: "recover-pass-view",
  props: {
    confirm: {
      type: Boolean,
      default: false
    }
  },
  components: {
    NoAuthLayout,
    RecoverPassFormNewRequest,
    RecoverPassFormNewSet
  }
};
</script>

